- Qt 5.15
- Qt WebEngine
- QML Types
- FullScreenRequest QML Type
- Qt 5.15.19 Reference Documentation

# FullScreenRequest QML Type

A utility type for the WebEngineView::fullScreenRequested() signal. More...

Import Statement: | import QtWebEngine 1.10
Since: | QtWebEngine 1.1

- List of all members, including inherited members

## Properties

- origin : url
- toggleOn : bool

## Methods

- void accept()
- void reject()

## Detailed Description

See also WebEngineView::fullScreenRequested().

## Property Documentation

[read-only] origin : url

The URL of the web page that issued the fullscreen request.

[read-only] toggleOn : bool

Returns `true` if the application should toggle fullscreen mode on, `false` otherwise.

See also accept().

## Method Documentation

void accept()

Call this method to accept the fullscreen request. It sets the WebEngineView::isFullScreen property to be equal to toggleOn.

     ApplicationWindow {
         id: window
         WebEngineView {
             onFullScreenRequested: function(request) {
                 if (request.toggleOn)
                     window.showFullScreen()
                 else
                     window.showNormal()
                 request.accept()
             }
         }
     }

See also toggleOn.

void reject()

Rejects a fullscreen request.